Debian Bug report logs - #365626
netcat -e redirects stderr to network

version graph

Package: netcat; Maintainer for netcat is Ruben Molina <rmolina@udea.edu.co>; Source for netcat is src:netcat.

Reported by: "Piotr Engelking" <inkerman42@gmail.com>

Date: Mon, 1 May 2006 15:48:08 UTC

Severity: normal

Tags: patch

Found in version netcat/1.10-32

Fixed in version netcat/1.10-33

Done: Decklin Foster <decklin@red-bean.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#365626; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to "Piotr Engelking" <inkerman42@gmail.com>:
New Bug report received and forwarded. Copy sent to Decklin Foster <decklin@red-bean.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Piotr Engelking" <inkerman42@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: netcat -e redirects stderr to network
Date: Mon, 1 May 2006 17:42:01 +0200
Package: netcat
Version: 1.10-32
Severity: normal

netcat -e redirects standard error to the network. This applies both to the
program it executes (which is quite weird and inconvenient, even considering
that it can be worked around with silly file descriptor duplication and
redirection shell tricks), and, even more ridiculously, to netcat itself.
This behaviour seems to be seriously broken. It also results in some stderr
messages being lost, since netcat attempts to display them when the
connection is already closed.

On the local side:

   $ netcat -vve idonotexist localhost 6666
   localhost [127.0.0.1] 6666 (?) open
   $

(Observe lack of error message and -vv statistics.)

On the remote side:

   $ nc -vlp 6666
   listening on [any] 6666 ...
   connect to [127.0.0.1] from localhost [127.0.0.1] 33207
   exec idonotexist failed : No such file or directory
   $

-- System Information:
Debian Release: testing/unstable
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.16
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)

Versions of packages netcat depends on:
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries

netcat recommends no packages.

-- no debconf information

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#365626; Package netcat. Full text and rfc822 format available.

Acknowledgement sent to "Piotr Engelking" <inkerman42@gmail.com>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. Full text and rfc822 format available.

Message #10 received at 365626@bugs.debian.org (full text, mbox):

From: "Piotr Engelking" <inkerman42@gmail.com>
To: 365626@bugs.debian.org, 365632@bugs.debian.org
Subject: Patch for netcat -c and -e
Date: Tue, 26 Sep 2006 09:12:13 +0200
[Message part 1 (text/plain, inline)]
tags 365626 + patch
tags 365632 + patch
thanks

The attached patch fixes both problems. If you would prefer it
splitted, just say so.
[netcat-ce.patch (text/x-patch, attachment)]

Tags added: patch Request was from "Piotr Engelking" <inkerman42@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Decklin Foster <decklin@red-bean.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Piotr Engelking" <inkerman42@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 365626-close@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: 365626-close@bugs.debian.org
Subject: Bug#365626: fixed in netcat 1.10-33
Date: Thu, 29 Mar 2007 18:02:02 +0000
Source: netcat
Source-Version: 1.10-33

We believe that the bug you reported is fixed in the latest version of
netcat, which is due to be installed in the Debian FTP archive:

netcat_1.10-33.diff.gz
  to pool/main/n/netcat/netcat_1.10-33.diff.gz
netcat_1.10-33.dsc
  to pool/main/n/netcat/netcat_1.10-33.dsc
netcat_1.10-33_amd64.deb
  to pool/main/n/netcat/netcat_1.10-33_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365626@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Decklin Foster <decklin@red-bean.com> (supplier of updated netcat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 29 Mar 2007 13:32:37 -0400
Source: netcat
Binary: netcat
Architecture: source amd64
Version: 1.10-33
Distribution: unstable
Urgency: low
Maintainer: Decklin Foster <decklin@red-bean.com>
Changed-By: Decklin Foster <decklin@red-bean.com>
Description: 
 netcat     - TCP/IP swiss army knife
Closes: 365626 365632
Changes: 
 netcat (1.10-33) unstable; urgency=low
 .
   * Cleaned up sh-c.patch, removing duplicated code and fixing -c behavior for
     outgoing connections (Closes: #365632)
   * Don't redirect stderr to the network (Closes: #365626)
Files: 
 b0fcb608b7faa6e8943eeae21b5ff539 567 net important netcat_1.10-33.dsc
 653d95b99ed4a2de8e64b0170708bc2f 17905 net important netcat_1.10-33.diff.gz
 06b4c9a31bde1d3167e5cbf6429f46dd 68282 net important netcat_1.10-33_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGC/xzuIJGh/GWjRsRAvvKAJ0Uk0duKNvqSMYSX3VOXDtKvZpv7wCgg8mg
65cVw3j7IXylkXeZrrK78sw=
=d5Kf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 23:52:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:25:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.